commit 2e4de8d191e63d21823d36499c3841eedefb7bc5
Author: Alexander Oppermann <a.oppermann@bgbm.org>
Date:   Tue Dec 9 17:18:52 2014 +0000

    last fix for revision number of classpath

diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 06b551fc6..1885ddd71 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -597,20 +597,20 @@ Bundle-ClassPath: .,
  lib/spring-security-remoting-3.1.3.RELEASE.jar,
  lib/jena-core-2.11.2.jar,
  lib/jena-iri-1.0.2.jar,
- lib/cdmlib-commons-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-commons-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-ext-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-ext-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-io-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-io-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-model-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-model-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-persistence-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-persistence-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-print-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-print-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-remote-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-remote-3.5.0-SNAPSHOT.jar,
- lib/cdmlib-services-3.5.0-SNAPSHOT-sources.jar,
- lib/cdmlib-services-3.5.0-SNAPSHOT.jar
+ lib/cdmlib-commons-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-commons-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-ext-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-ext-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-io-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-io-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-model-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-model-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-persistence-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-persistence-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-print-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-print-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-remote-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-remote-3.4.0-SNAPSHOT.jar,
+ lib/cdmlib-services-3.4.0-SNAPSHOT-sources.jar,
+ lib/cdmlib-services-3.4.0-SNAPSHOT.jar
 Import-Package: eu.etaxonomy.cdm.api.application
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index babad4f1f..2180b5cf8 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -190,22 +190,22 @@ bin.includes = META-INF/,\
                lib/spring-security-remoting-3.1.3.RELEASE.jar,\
                lib/jena-core-2.11.2.jar,\
                lib/jena-iri-1.0.2.jar,\
-               lib/cdmlib-commons-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-commons-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-ext-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-ext-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-io-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-io-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-model-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-model-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-persistence-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-persistence-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-print-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-print-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-remote-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-remote-3.5.0-SNAPSHOT.jar,\
-               lib/cdmlib-services-3.5.0-SNAPSHOT-sources.jar,\
-               lib/cdmlib-services-3.5.0-SNAPSHOT.jar
+               lib/cdmlib-commons-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-commons-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-ext-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-ext-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-io-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-io-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-model-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-model-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-persistence-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-persistence-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-print-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-print-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-remote-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-remote-3.4.0-SNAPSHOT.jar,\
+               lib/cdmlib-services-3.4.0-SNAPSHOT-sources.jar,\
+               lib/cdmlib-services-3.4.0-SNAPSHOT.jar
 jars.compile.order = .
 output.. = bin/
 source.. = src/main/java/,\