commit 220a3f38c437ec699c93d3555a4a74385f762792
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Tue Aug 25 17:13:47 2020 +0200

    ref #9204, ref #9206 cglib from taxeditor.cdmlib, move cglib-nodep to pom

diff --git a/.gitattributes b/.gitattributes
index 39cfdd697..ff88cf75c 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -142,7 +142,6 @@ eu.etaxonomy.taxeditor.cdmlib/build.properties -text
 eu.etaxonomy.taxeditor.cdmlib/lib/activation-1.1.1.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/aopalliance-1.0.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/c3p0-0.9.2.jar -text
-eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-2.2.2.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/com.springsource.org.aopalliance-1.0.0.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/com.springsource.org.apache.commons.logging-1.1.1.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/commons-codec-20041127.091804.jar -text
@@ -163,7 +162,6 @@ eu.etaxonomy.taxeditor.cdmlib/lib/google-api-translate-java-0.92.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/h2mig_pagestore_addon.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/hamcrest-core-1.3.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-c3p0-4.1.10.Final.jar -text
-eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-cglib-repack-2.1_3.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-jpa-2.0-api-1.0.1.Final.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/icu4j-2.6.1.jar -text
 eu.etaxonomy.taxeditor.cdmlib/lib/identificationKeyAPI-1.0-SNAPSHOT-sources.jar -text
diff --git a/.gitignore b/.gitignore
index 82545b198..be7640868 100644
--- a/.gitignore
+++ b/.gitignore
@@ -111,3 +111,4 @@ eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-entitymanager-5.*.Final.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/hibernate-envers-5.*.Final.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/apache-log4j-extras-1.2.17.jar
 eu.etaxonomy.taxeditor.cdmlib/lib/antlr-2.*.jar
+eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-3.*.jar
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 2b7d80407..080d75699 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -717,8 +717,7 @@ Bundle-ClassPath: .,
  lib/slf4j-log4j12-1.7.30.jar,
  lib/antlr-2.7.7.jar,
  lib/aopalliance-1.0.jar,
- lib/cglib-3.2.0.jar,
- lib/cglib-nodep-3.2.0.jar,
+ lib/cglib-nodep-3.3.0.jar,
  lib/classmate-1.5.1.jar,
  lib/codemodel-2.2.11.jar,
  lib/FastInfoset-1.2.13.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index e94e22bf1..66128d736 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -118,8 +118,7 @@ bin.includes = META-INF/,\
                lib/slf4j-log4j12-1.7.30.jar,\
                lib/antlr-2.7.7.jar,\
                lib/aopalliance-1.0.jar,\
-               lib/cglib-3.2.0.jar,\
-               lib/cglib-nodep-3.2.0.jar,\
+               lib/cglib-nodep-3.3.0.jar,\
                lib/classmate-1.5.1.jar,\
                lib/codemodel-2.2.11.jar,\
                lib/FastInfoset-1.2.13.jar,\
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-3.2.0.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-3.2.0.jar
deleted file mode 100644
index 51e2d8512..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-3.2.0.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-3.2.0.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-3.2.0.jar
deleted file mode 100644
index e11f7cb6b..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/cglib-nodep-3.2.0.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 418fde2a9..d4161051e 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -68,7 +68,7 @@
                 spring-oxm,spring-jdbc,spring-security-config,spring-security-core,
                 aopalliance,aspectjweaver,aspectjrt,
                 hibernate-jpa-2.1-api,javassist,hibernate-commons-annotations,
-                hibernate-core,hibernate-entitymanager,hibernate-envers,antlr,
+                hibernate-core,hibernate-entitymanager,hibernate-envers,antlr,cglib-nodep,
                 xml-apis,lsid-client,jdom,jdom2,
                 poi,poi-ooxml,poi-ooxml-schemas,xmlbeans,commons-collections4,commons-math3,
                 jaxb-api,javax.activation-api,
@@ -659,6 +659,11 @@
         <artifactId>antlr</artifactId>
         <version>2.7.7</version>
     </dependency>
+    <dependency>
+	    <groupId>cglib</groupId>
+	    <artifactId>cglib-nodep</artifactId>
+	    <version>3.3.0</version>
+	</dependency>
     
     <!-- KML/IIIF dependencies should not bee needed for the taxeditor, but at current the KMLDocumentBuilder 
          is used in the EditGeoService bean which is needed to display the distribution maps in the editor.