commit 0cc228fe01d6d3e9951356eda1e1fe74a7934040
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Jan 12 08:19:53 2016 +0100

    i10n for eu.etaxonomy.taxeditor.view

diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages.properties
index f88d6402c..9d61d411c 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages.properties
@@ -1,36 +1,39 @@
-CdmDataSourceViewPart_1=Loading datasources
-CdmDataSourceViewPart_10=Server
-CdmDataSourceViewPart_11=Name
-CdmDataSourceViewPart_12=Connected
-CdmDataSourceViewPart_2=Notes
-CdmDataSourceViewPart_3=Compatible
-CdmDataSourceViewPart_4=CDM Version
-CdmDataSourceViewPart_5=Created
-CdmDataSourceViewPart_6=Nomenclatural Code
-CdmDataSourceViewPart_7=Database
-CdmDataSourceViewPart_8=Type
-CdmDataSourceViewPart_9=Up
-LanguageEditorPreferencePage_ChooseDefaultLanguage=Please choose your default language for the editor: 
-LanguageEditorPreferencePage_EditorHasToRestart=The application has to be restarted, in order to complete the language switch.\nDo you want to restart now?
-LanguageEditorPreferencePage_PleaseRestart=Please Restart
-LanguageEditorPreferencePage_RestartRequired=After changing the default language, a restart is required,\nin order for the new settings to take effect.
-OrderPreferencePage_NewNavigatorWindowRequired=After changing the order of the taxon nodes, closing and reopen of the taxon navigator is required.
-OrderPreferencePage_PleaseReopenNavigator=Please close and reopen the taxon navigator.
-UriWithLabelElement_URL_NOT_SAVED=URI won't be saved\! 
-UriWithLabelElement_COULD_NOT_OPEN_BROWSER=Could not open external browser. URI is invalid.
-UriWithLabelElement_INVALID_URL=Invalid URI
-UriWithLabelElement_OPEN_EXTERNAL_BROWSER=Open in external browser
-
-ChangeConnectionHandler_ALREADY_CONNECTING=Already connecting
-ChangeConnectionHandler_CONFIRM_DATASOURCE=Confirm Datasource Connection
-ChangeConnectionHandler_CURRENTLY_CONNECTING_ALREADY=You are currently connecting to a different datasource already.
-ChangeConnectionHandler_DATASOURCE_NOT_AVAILABLE=Chosen datasource is not available
-ChangeConnectionHandler_REALLY_WANT_TO_CONNECT=Do you really want to connect to this datasource?\n\n
-ChangeConnectionHandler_NOT_AVAILABLE_REASONS=This could mean that either the database server is not running or the machine is not reachable.\n\n Please also make sure that you are connected to the network when trying to connect to a remote datasource.
-
-LoginDialog_CANCEL_MESSAGE=Aborting the login procedure will close the database.
-LoginDialog_LOGIN=Login
-LoginDialog_PASSWORD=Password
-LoginDialog_REALLY_CANCEL=Do you really want to cancel?
-LoginDialog_USER_LOGIN=User Login
-LoginDialog_USER_NAME=Username
+CdmDataSourceViewPart_1=Loading datasources
+CdmDataSourceViewPart_10=Server
+CdmDataSourceViewPart_11=Name
+CdmDataSourceViewPart_12=Connected
+CdmDataSourceViewPart_2=Notes
+CdmDataSourceViewPart_3=Compatible
+CdmDataSourceViewPart_4=CDM Version
+CdmDataSourceViewPart_5=Created
+CdmDataSourceViewPart_6=Nomenclatural Code
+CdmDataSourceViewPart_7=Database
+CdmDataSourceViewPart_8=Type
+CdmDataSourceViewPart_9=Up
+LanguageEditorPreferencePage_ChooseDefaultLanguage=Please choose your default language for the editor: 
+LanguageEditorPreferencePage_EditorHasToRestart=The application has to be restarted, in order to complete the language switch.\nDo you want to restart now?
+LanguageEditorPreferencePage_PleaseRestart=Please Restart
+LanguageEditorPreferencePage_RestartRequired=After changing the default language, a restart is required,\nin order for the new settings to take effect.
+OrderPreferencePage_NewNavigatorWindowRequired=After changing the order of the taxon nodes, closing and reopen of the taxon navigator is required.
+OrderPreferencePage_PleaseReopenNavigator=Please close and reopen the taxon navigator.
+UriWithLabelElement_URL_NOT_SAVED=URI won't be saved\! 
+UriWithLabelElement_COULD_NOT_OPEN_BROWSER=Could not open external browser. URI is invalid.
+UriWithLabelElement_INVALID_URL=Invalid URI
+UriWithLabelElement_OPEN_EXTERNAL_BROWSER=Open in external browser
+
+ChangeConnectionHandler_ALREADY_CONNECTING=Already connecting
+ChangeConnectionHandler_CONFIRM_DATASOURCE=Confirm Datasource Connection
+ChangeConnectionHandler_CURRENTLY_CONNECTING_ALREADY=You are currently connecting to a different datasource already.
+ChangeConnectionHandler_DATASOURCE_NOT_AVAILABLE=Chosen datasource is not available
+ChangeConnectionHandler_REALLY_WANT_TO_CONNECT=Do you really want to connect to this datasource?\n\n
+ChangeConnectionHandler_NOT_AVAILABLE_REASONS=This could mean that either the database server is not running or the machine is not reachable.\n\n Please also make sure that you are connected to the network when trying to connect to a remote datasource.
+
+LoginDialog_CANCEL_MESSAGE=Aborting the login procedure will close the database.
+LoginDialog_LOGIN=Login
+LoginDialog_PASSWORD=Password
+LoginDialog_REALLY_CANCEL=Do you really want to cancel?
+LoginDialog_USER_LOGIN=User Login
+LoginDialog_USER_NAME=Username
+
+CdmViewerContextMenu_OPEN=Open (%s)
+CdmViewerContextMenu_OPEN_IN=Open in...
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages_de.properties
index ca0430e50..fc145379c 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/messages_de.properties
@@ -33,3 +33,7 @@ LoginDialog_PASSWORD=Passwort
 LoginDialog_REALLY_CANCEL=Wollen Sie wirklich abbrechen?
 LoginDialog_USER_LOGIN=Benutzer Login
 LoginDialog_USER_NAME=Benutzername
+
+CdmViewerContextMenu_OPEN=\u00d6ffnen (%s)
+CdmViewerContextMenu_OPEN_IN=\u00d6ffne mit...
+
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/Messages.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/Messages.java
index eb3f83291..9d094c53a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/Messages.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/Messages.java
@@ -42,6 +42,8 @@ public class Messages extends NLS {
     public static String CdmDataSourceViewPart_7;
     public static String CdmDataSourceViewPart_8;
     public static String CdmDataSourceViewPart_9;
+    public static String CdmViewerContextMenu_OPEN;
+    public static String CdmViewerContextMenu_OPEN_IN;
     public static String ChangeConnectionHandler_ALREADY_CONNECTING;
     public static String ChangeConnectionHandler_CONFIRM_DATASOURCE;
     public static String ChangeConnectionHandler_CURRENTLY_CONNECTING_ALREADY;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerContextMenu.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerContextMenu.java
index db59d464d..2811fe14a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerContextMenu.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerContextMenu.java
@@ -24,6 +24,7 @@ import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.handlers.IHandlerService;
 
 import eu.etaxonomy.cdm.model.common.ICdmBase;
+import eu.etaxonomy.taxeditor.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 
 /**
@@ -52,12 +53,12 @@ public class CdmViewerContextMenu extends CompoundContributionItem {
                                 String viewerName = entry.getValue();
 
                                 MenuItem addItem = new MenuItem(menu, SWT.CASCADE);
-                                addItem.setText(String.format("Open (%s)", viewerName));
+                                addItem.setText(String.format(Messages.CdmViewerContextMenu_OPEN, viewerName));
                                 addItem.addSelectionListener(new CommandInvoker(command, firstElement)) ;
                             }
                             else if(enabledCommands.size()>1){
                                 MenuItem addItem = new MenuItem(menu, SWT.CASCADE);
-                                addItem.setText("Open in...");
+                                addItem.setText(Messages.CdmViewerContextMenu_OPEN_IN);
                                 Menu addMenu = new Menu(menu);
                                 addItem.setMenu(addMenu);
                                 for(Entry<Command, String> entry:enabledCommands.entrySet()){
@@ -104,7 +105,7 @@ public class CdmViewerContextMenu extends CompoundContributionItem {
             IHandlerService handlerService = (IHandlerService)PlatformUI.getWorkbench().getService(IHandlerService.class);
             Map<String, UUID> params = new HashMap<String, UUID>();
             if(selectedObject instanceof ICdmBase){
-                params.put(command.getId()+".uuid", ((ICdmBase) selectedObject).getUuid());
+                params.put(command.getId()+".uuid", ((ICdmBase) selectedObject).getUuid()); //$NON-NLS-1$
             }
             ParameterizedCommand parameterizedCommand = ParameterizedCommand.generateCommand(command, params);
             try {
@@ -115,9 +116,9 @@ public class CdmViewerContextMenu extends CompoundContributionItem {
                     handlerService.executeCommand(command.getId(), null);
                 }
             } catch (NotDefinedException nde) {
-                throw new RuntimeException("Could not find open command: " + command.getId());
+                throw new RuntimeException("Could not find open command: " + command.getId()); //$NON-NLS-1$
             } catch (Exception exception) {
-                MessagingUtils.error(getClass(), "An exception occured while trying execute "+command.getId(), exception);
+                MessagingUtils.error(getClass(), "An exception occured while trying execute "+command.getId(), exception); //$NON-NLS-1$
             }
             PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getSelection();
         }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerUtil.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerUtil.java
index 370195ba0..af8b60f69 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerUtil.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/CdmViewerUtil.java
@@ -41,18 +41,18 @@ public class CdmViewerUtil {
         if(input!=null){
             IExtensionRegistry reg = Platform.getExtensionRegistry();
             IConfigurationElement[] extensions = reg
-                    .getConfigurationElementsFor("eu.etaxonomy.taxeditor.store.cdmViewer");
+                    .getConfigurationElementsFor("eu.etaxonomy.taxeditor.store.cdmViewer"); //$NON-NLS-1$
             for (IConfigurationElement configElement : extensions) {
-                if(configElement.getName().equals("viewCommandMapping")){
+                if(configElement.getName().equals("viewCommandMapping")){ //$NON-NLS-1$
                     try {
-                        String commandId = configElement.getAttribute("commandId");
-                        String viewerName = configElement.getAttribute("viewerName");
-                        Class<?> selectionClass = Class.forName(configElement.getAttribute("selection"));
+                        String commandId = configElement.getAttribute("commandId"); //$NON-NLS-1$
+                        String viewerName = configElement.getAttribute("viewerName"); //$NON-NLS-1$
+                        Class<?> selectionClass = Class.forName(configElement.getAttribute("selection")); //$NON-NLS-1$
                         if(selectionClass.isAssignableFrom(input.getClass())){
                             commandViewerNameMap.put(commandId, viewerName);
                         }
                     } catch (ClassNotFoundException e) {
-                        MessagingUtils.error(CdmViewerChooser.class, "Could not initalize selection class element of cdmViewer extension", e);
+                        MessagingUtils.error(CdmViewerChooser.class, "Could not initalize selection class element of cdmViewer extension", e); //$NON-NLS-1$
                     }
                 }
             }