commit c278f2a0a05bbbfebb22914b9092a0c1ecec1279
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Thu Dec 22 14:37:14 2016 +0100

    Fixing case of labels and adding spanisch translations

diff --git a/modules/cdm_dataportal/settings.php b/modules/cdm_dataportal/settings.php
index 113d0106..98e0ff58 100644
--- a/modules/cdm_dataportal/settings.php
+++ b/modules/cdm_dataportal/settings.php
@@ -2582,7 +2582,7 @@ function cdm_settings_layout_search() {
 
   $form['search_settings'][SEARCH_RESULTS_SHOW_THUMBNAIL_CHECKBOX] = array(
     '#type' => 'checkbox',
-    '#title' => t('Show the <i>Show Image Thumbnails</i> button') . ':',
+    '#title' => t('Show the') .  ' <i>' . t('Display image thumbnails') . '</i>' . t('button') . ':',
     '#default_value' => variable_get(SEARCH_RESULTS_SHOW_THUMBNAIL_CHECKBOX, SEARCH_RESULTS_SHOW_THUMBNAIL_CHECKBOX_DEFAULT),
     '#description' => t('The search results page will offer a button to toggle the display of image thumbnails.'),
   );
diff --git a/modules/cdm_dataportal/theme/cdm_dataportal.common.theme b/modules/cdm_dataportal/theme/cdm_dataportal.common.theme
index 85586c44..5769343a 100644
--- a/modules/cdm_dataportal/theme/cdm_dataportal.common.theme
+++ b/modules/cdm_dataportal/theme/cdm_dataportal.common.theme
@@ -356,6 +356,7 @@ function theme_cdm_marker($variables) {
 }
 
 /* ============================ pager ============================= */
+
 /**
  * @todo Please document this function.
  * @see http://drupal.org/node/1354
@@ -371,7 +372,7 @@ function theme_cdm_pager($variables) {
     $out .= '<div class="pager">';
     if ($pager->currentIndex > 0) {
       $out .= theme('cdm_pager_link', array(
-        'text' => t('« first'),
+        'text' => '« ' . t('First'),
         'linkIndex' => 0,
         'pager' => $pager,
         'path' => $path,
@@ -379,7 +380,7 @@ function theme_cdm_pager($variables) {
         'attributes' => array('class' => array('pager-first')),
         ));
       $out .= theme('cdm_pager_link', array(
-        'text' => t('‹ previous'),
+        'text' => '‹ ' . t('Previous'),
         'linkIndex' => $pager->currentIndex - 1,
         'pager' => $pager,
         'path' => $path,
@@ -403,12 +404,32 @@ function theme_cdm_pager($variables) {
     }
 
     if ($pager->nextIndex) {
-      $out .= theme('cdm_pager_link', array('text' => t('next ›'), 'linkIndex' => $pager->nextIndex, 'pager' => $pager, 'path' => $path, 'parameters' => $parameters, 'attributes' => array(
-  'class' => array('pager-next'),
-)));
-      $out .= theme('cdm_pager_link', array('text' => t('last »'), 'linkIndex' => $pager->pagesAvailable - 1, 'pager' => $pager, 'path' => $path, 'parameters' => $parameters, 'attributes' => array(
-  'class' => array('pager-last'),
-)));
+      $out .= theme(
+        'cdm_pager_link',
+        array(
+          'text' => t('Next') . ' ›',
+          'linkIndex' => $pager->nextIndex,
+          'pager' => $pager,
+          'path' => $path,
+          'parameters' => $parameters,
+          'attributes' => array(
+            'class' => array('pager-next'),
+          )
+        )
+      );
+      $out .= theme(
+        'cdm_pager_link',
+        array(
+          'text' => t('Last') . ' »',
+          'linkIndex' => $pager->pagesAvailable - 1,
+          'pager' => $pager,
+          'path' => $path,
+          'parameters' => $parameters,
+          'attributes' => array(
+            'class' => array('pager-last'),
+          )
+        )
+      );
     }
     $out .= '</div>';
 
diff --git a/modules/cdm_dataportal/theme/cdm_dataportal.page.theme b/modules/cdm_dataportal/theme/cdm_dataportal.page.theme
index 73dedfcc..51757c23 100644
--- a/modules/cdm_dataportal/theme/cdm_dataportal.page.theme
+++ b/modules/cdm_dataportal/theme/cdm_dataportal.page.theme
@@ -250,7 +250,7 @@ function theme_cdm_search_results($variables)
     }
   }
   if (variable_get(SEARCH_RESULTS_SHOW_THUMBNAIL_CHECKBOX, SEARCH_RESULTS_SHOW_THUMBNAIL_CHECKBOX_DEFAULT)) {
-    $out .= '<form name="pageoptions"><div id="showThumbnails"><input class="showThumbnails" type="checkbox" name="showThumbnails" ' . (do_showThumbnails() == 1 ? 'checked="checked"' : '') . '> ' . t('Display Image Thumbnails') . '</div></form>';
+    $out .= '<form name="pageoptions"><div id="showThumbnails"><input class="showThumbnails" type="checkbox" name="showThumbnails" ' . (do_showThumbnails() == 1 ? 'checked="checked"' : '') . '> ' . t('Display image thumbnails') . '</div></form>';
   }
   $out .= '</div>';
 
diff --git a/modules/cdm_dataportal/translations/cdm_dataportal.es.po b/modules/cdm_dataportal/translations/cdm_dataportal.es.po
index aeaa9705..a9d2f799 100644
--- a/modules/cdm_dataportal/translations/cdm_dataportal.es.po
+++ b/modules/cdm_dataportal/translations/cdm_dataportal.es.po
@@ -1046,7 +1046,7 @@ msgid "Number of results to display per page."
 msgstr ""
 
 #: settings.php:2509
-msgid "Show the <i>Show Image Thumbnails</i> button"
+msgid "Show the"
 msgstr ""
 
 #: settings.php:2511
@@ -2346,8 +2346,8 @@ msgid "Modify search"
 msgstr "Modificar búsqueda"
 
 #: theme/cdm_dataportal.page.theme:255
-msgid "Display Image Thumbnails"
-msgstr ""
+msgid "Display image thumbnails"
+msgstr "Muestra miniaturas de imágenes"
 
 #: theme/cdm_dataportal.page.theme:263
 msgid "results for"
diff --git a/themes/palmweb_2/template.php b/themes/palmweb_2/template.php
index 97200885..0973f9d2 100644
--- a/themes/palmweb_2/template.php
+++ b/themes/palmweb_2/template.php
@@ -120,7 +120,7 @@ function palmweb_2_cdm_search_results($variables){
   $out .= '<form name="pageoptions">';
   $out .= '<input id="showThumbnails" type="checkbox" name="showThumbnails" ';
   $out .= $showThumbnails == 1 ? 'checked="checked"' : '';
-  $out .= '> ' . t('Show Image Thumbnails') . '</form></div>';
+  $out .= '> ' . t('Display image thumbnails') . '</form></div>';
   if (!empty($pager) && count($pager->records) > 0) {
       $out .= '<div id="search_results">';
     $list_of_taxa = compose_list_of_taxa($pager->records);