commit 287f7e5e5e06701edf0ff65ee2ef0896e149de26
Author: Katja Luther <k.luther@bgbm.org>
Date:   Tue Jan 22 11:27:47 2019 +0100

    minor

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
index bbd395a09..096910d93 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
@@ -13,6 +13,8 @@ LanguageEditorPreferencePage_ChooseDefaultLanguage=Please choose your default la
 LanguageEditorPreferencePage_EditorHasToRestart=The application has to be restarted, in order to complete the language switch.\nDo you want to restart now?
 LanguageEditorPreferencePage_PleaseRestart=Please Restart
 LanguageEditorPreferencePage_RestartRequired=After changing the default language, a restart is required,\nin order for the new settings to take effect.
+LanguageMenuPreferences_configure=Configure language preferences.
+LanguageMenuPreferences_warning=\ - Warning: no description - not shown in menus
 LanguageRepresentationPreferencePage_global=Choose the global language that will be used throughout the editor to get representations in.
 LanguageRepresentationPreferencePage_enable=Enable Multiple Language Editing Capability
 ListComponent_ADD_PROVIDER=Add Provider
@@ -91,6 +93,8 @@ CdmStoreConnector_UPDATE_DATASOUREC_OR_CHOOSE_NEW_DATASOURCE=Please update the c
 CdmStoreConnector_UPDATE_EDITOR_OR_CHOOSE_COMPATIBLE_DATASOURCE=Please update the Taxonomic Editor (Help->Check for Updates) or choose a compatible datasource
 ConfiguratorComposite_CONFIGURE=Configure
 
+RankMenuPreferences_display=Choose which ranks to display in the property sheet drop-down menu.
+RankMenuPreferences_sort=Sort ranks hierarchically (default is alphabetically)
 RemotingLoginDialog_CONNECTION_FAILED_MESSAGE=Could not connect to CDM Server. Please check internet connection and try again.\nIf the problem persists ask your system administrator or contact EditSupport@bgbm.org.
 RemotingLoginDialog_CONNECTION_FAILED_TITLE=Connection to CDM server failed
 RemotingLoginDialog_DEFAULT_LOGIN=Default: %s (login), %s (password)
@@ -179,9 +183,11 @@ DetailsViewPart_VIEWER_NAME=Details
 AuthenticatedUserBar_LOGGED_IN_AS=Logged in as: %s         
 AuthenticatedUserBar_NOT_LOGGED_IN=Not logged in   
 
+PresenceAbsenceMenuPreferences_choose=Choose which distribution states should be shown.
 PresenceAbsenceTermDetailElement_CHOOSE_COLOR=Choose color
 PresenceAbsenceTermDetailElement_COLOR_NOT_SET=Color could not be set
 PresenceAbsenceTermDetailElement_LABEL_COLOR=Color  
+PreservationMethodMenuPreferences_select=Select preservation methods to be shown in selections
 
 DeleteConfiguration_media_removeFromGallery=Remove the media from the image gallery but leave it in database
 DeleteConfiguration_media_deleteIfUsedInTaxonDescription=Delete also if media is used in taxon description
@@ -245,8 +251,10 @@ ExcelDistributionUpdateWizard_ConfiguratorWizard_label=Configure Excel distribut
 AbstractImportWizard_ConfigurationLabel=Configure the Import
 TaxonomicEditorGeneralPreferences_background=Run long running operations in background
 TaxonomicEditorGeneralPreferences_connect=Connect to last used datasource when launching
+TaxonRelationshipTypeMenuPreferences_configure=Configure taxon relationship types
 TaxonSearchPreferences_0=Open search results in separate windows
 TCSImportWizard_ConfiguratorWizard_label=Configure the TCS import
+FeatureMenuPreferences_display=Choose which features you would like to use for descriptive elements.
 FeatureTreeEditorComposite_ADD_FEATURE=Add a feature to this feature tree.
 FeatureTreeEditorComposite_FEATURE_TREE=Feature Tree
 FeatureTreeEditorComposite_OPEN_TREE=Open Tree
@@ -298,6 +306,7 @@ SetPublishConfiguration_IncludeSynonyms=Synonyms
 ExcelSpecimenUpdateWizard_ConfiguratorWizard_label=Configuration of excel specimen import
 ExcelTaxonUpdateWizard_ConfiguratorWizard_label=Configuration of excel taxon import
 ExperimentalFeaturesPreferences=Show experimental features
+ExtensionTypeMenuPreferences_choose=Choose which extension types to display
 
 SetPublishConfiguration_Title=Configuration for setting the publish flag
 SetPublishConfiguration_publish=publish
@@ -369,9 +378,8 @@ ChecklistEditorGeneralPreference_0=The CDM settings don't allow to set the prefe
 ChecklistEditorGeneralPreference_enable=Enable Distribution Editor
 ChecklistEditorGeneralPreference_open_distribution_selection=Select Area Vocabularies
 ChecklistEditorGeneralPreference_open_wizard=List of available area vocabularies
-ChecklistEditorGeneralPreference_Configure_display_of_Areas=Display of areas in the header
-ChecklistEditorGeneralPreference_Configure_display_of_Status=Display of distribution status in the table
 ChecklistEditorGeneralPreference_show_rank=Show rank in Distribution Editor
+ChecklistEditorGeneralPreference_sort_areas=Sort areas by order in vocabulary
 GeneralPreference_allowOverride=Allow override
 ChecklistEditorGeneralPreference_show_id_in_voc=Id in Vocabulary
 ChecklistEditorGeneralPreference_show_symbol1=Symbol
@@ -379,7 +387,13 @@ ChecklistEditorGeneralPreference_show_symbol2=Second Symbol
 ChecklistEditorGeneralPreference_show_title=Complete Title
 ChecklistEditorGeneralPreference_show_symbol=Show symbol of the status, if existing
 ChecklistEditorGeneralPreference_STATUS_DISPLAY_TEXT=Configure how the status should be displayed
+ChecklistEditorGeneralPreference_own_Description=Create own fact dataset for distributions created by the Distribution Editor
+ChecklistEditorGeneralPreference_own_DescriptionToolTip=Entries created with the Distribution Editor, saved in an own Taxon Description
 GeneralPreference_override=Override
+ChecklistEditorGeneralPreference_open_distribution_selection=Select Area Vocabularies
+ChecklistEditorGeneralPreference_open_wizard=List of available area vocabularies
+ChecklistEditorGeneralPreference_Configure_display_of_Areas=Display of areas in the header
+ChecklistEditorGeneralPreference_Configure_display_of_Status=Display of distribution status in the table
 
 
 GfBioTerminologyImportPresenter_NO_CONNECTION_MESSAGE=Could not retrieve data from web service
@@ -403,11 +417,13 @@ NomenclaturalCodePreferences_choose=Choose which nomenclatural code you would li
 NomenclaturalCodePreferences_description=Nomenclatural default code for creation of new taxon names
 NomenclaturalCodePreferences_localChangesNotAllowed=The CDM settings don't allow to set the nomenclatural code locally. If you need to make local settings, please ask an administrator.
 NomenclaturalCodePreferences_useLocalCode=Use local nomenclatural code
+NomenclaturalStatusTypeMenuPreferences_1=Configure nomenclatural status types
 
 NameDetailsViewConfiguration_description=Configure the simple name details view. The selected parts are displayed, others are not visible in a simple name details view.
 NameDetailsViewConfiguration_description_not_available=The configuration of the name details view is not possible in local preferences. \nIf you want to change the configuration, please contact an administrator.
 NameRelationshipTypeMenuPreferences_relationshipTypes=Configure name relationship types
 NameRelationshipWizardPage_description=Choose namerelationship type and related name
+NameTypeDesignationStatusMenuPreferences_configure=Configure name type designation status
 NavigatorOrderEnum_1=Alphabetical Order
 NavigatorOrderEnum_3=Natural Order
 NavigatorOrderEnum_5=Rank and Name Order
@@ -420,12 +436,16 @@ VokabularyAdminPreferences_SELECT_VOCABULARY_TEXT=Select the area vocabularies w
 SpecimenConfiguration_description=Select whether you want to edit specimen related data and how they should be displayed.
 SpecimenOrObservationPreferences_0=The CDM settings don't allow to set the preferences for the display of specimen and observations locally. If you need to make local settings, please ask an administrator.
 SpecimenOrObservationPreferences_1=Set the preferences for the display of specimen and observations.
+SpecimenTypeDesignationStatusMenuPreferences_configure=Configure specimen type designation status
+StageMenuPreferences_choose=Choose stages to be shown in selection combos
 DatabasePreferncesPage_Show_IOMenu=Show Import/Export menu entries
 DatabasePreferncesPage_Show_MediaView=Show Media View
 DatabasePreferncesPage_Show_ChecklistPerspective=Show Checklist Perspective as default Perspective
 DatabasePreferncesPage_Show_TaxonNodeWizard=Taxon Nodes can be edited in Wizard
 
 
+MarkerTypeMenuPreferences_display=Choose which markers to display
+MeasurementUnitMenuPreferences_edit=Edit displayed measurement units
 MediaPreferences_advanced=Show Advanced Media View in Details View
 MediaPreferences_preview=Show Preview in Media View (Tree View)
 
@@ -447,3 +467,7 @@ DefaultFeatureTreePreferenecs_1=Default Feature Tree to be used for structured d
 DescriptionPreferences_1=Show vocabulary id for term labels.
 SupplementalDataPreferences_0=Show UUID and object ID in supplemental data view
 
+DistributionAdminPreferences_SELECT_STATUS=List of available distribution status
+Distribution_status_selection=Status Selection
+DatabasePreferncesPage_Show_Specimen=Show specimen related views and menu entries
+DatabasePreferncesPage_Life_Form=Show Life-Form in details view of field units
\ No newline at end of file