commit 292fe199f906fa842865e59390dbdba62af75dbb
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Jun 5 10:26:27 2017 +0200

    ref #6446, ref #6368 remove TaxonnameBase in vaadin,

diff --git a/src/main/java/eu/etaxonomy/cdm/mock/Registration.java b/src/main/java/eu/etaxonomy/cdm/mock/Registration.java
index 2f827d3f..937b6ee6 100644
--- a/src/main/java/eu/etaxonomy/cdm/mock/Registration.java
+++ b/src/main/java/eu/etaxonomy/cdm/mock/Registration.java
@@ -17,7 +17,7 @@ import org.joda.time.DateTime;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.User;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 
 /**
@@ -39,7 +39,7 @@ public class Registration extends CdmBase {
 
     private Institution institution;
 
-    private TaxonNameBase name;
+    private TaxonName name;
 
     private Set<TypeDesignationBase> typeDesignations = new HashSet<>();
 
@@ -135,14 +135,14 @@ public class Registration extends CdmBase {
     /**
      * @return the name
      */
-    public TaxonNameBase getName() {
+    public TaxonName getName() {
         return name;
     }
 
     /**
      * @param name the name to set
      */
-    public void setName(TaxonNameBase name) {
+    public void setName(TaxonName name) {
         this.name = name;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/mock/RegistrationService.java b/src/main/java/eu/etaxonomy/cdm/mock/RegistrationService.java
index 0cfb3d96..914727c6 100644
--- a/src/main/java/eu/etaxonomy/cdm/mock/RegistrationService.java
+++ b/src/main/java/eu/etaxonomy/cdm/mock/RegistrationService.java
@@ -25,7 +25,7 @@ import org.springframework.transaction.annotation.Transactional;
 import eu.etaxonomy.cdm.api.application.CdmRepository;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.name.Rank;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.vaadin.model.registration.RegistrationWorkingSet;
 import eu.etaxonomy.cdm.vaadin.view.registration.RegistrationDTO;
 import eu.etaxonomy.cdm.vaadin.view.registration.RegistrationValidationException;
@@ -64,11 +64,11 @@ public class RegistrationService {
             TransactionStatus tx = repo.startTransaction(true);
             int pageIndex = 0;
             while(registrationsByUUID.size() < SIZE){
-                List<TaxonNameBase> names = repo.getNameService().list(TaxonNameBase.class, 100, pageIndex++, null, null);
+                List<TaxonName> names = repo.getNameService().list(TaxonName.class, 100, pageIndex++, null, null);
                 if(names.isEmpty()){
                     break;
                 }
-                for(TaxonNameBase name : names){
+                for(TaxonName name : names){
                     if(name != null && name.getRank() != null && name.getRank().isLower(Rank.SUBFAMILY())){
                         if(name.getTypeDesignations().size() > minTypeDesignationCount - 1) {
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/taxon/NewTaxonBasePresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/taxon/NewTaxonBasePresenter.java
index ba685c90..cbdeaf26 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/taxon/NewTaxonBasePresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/component/taxon/NewTaxonBasePresenter.java
@@ -26,7 +26,7 @@ import eu.etaxonomy.cdm.api.service.ITaxonService;
 import eu.etaxonomy.cdm.api.service.pager.Pager;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.name.INonViralName;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
@@ -81,8 +81,8 @@ public class NewTaxonBasePresenter implements INewTaxonBaseComponentListener {
     }
 
     private boolean checkIfNameExists(INonViralName nvn) {
-        TaxonNameBase<?,?> name = TaxonNameBase.castAndDeproxy(nvn);
-        Pager<TaxonNameBase> names = nameService.findByName(name.getClass(),
+        TaxonName name = TaxonName.castAndDeproxy(nvn);
+        Pager<TaxonName> names = nameService.findByName(name.getClass(),
                 name.getNameCache(),
                 MatchMode.EXACT,
                 null,
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent/D3ConceptRelationshipTree.java b/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent/D3ConceptRelationshipTree.java
index 6706c364..dbd0ae54 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent/D3ConceptRelationshipTree.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/jscomponent/D3ConceptRelationshipTree.java
@@ -26,7 +26,7 @@ import com.vaadin.ui.AbstractJavaScriptComponent;
 import com.vaadin.ui.JavaScriptFunction;
 
 import elemental.json.JsonArray;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationship;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
@@ -92,7 +92,7 @@ public class D3ConceptRelationshipTree extends AbstractJavaScriptComponent {
                     UUID relUuid = UUID.fromString(arguments.getString(0));
                     conceptRelComposite.setSelectedTaxonRelUuid(relUuid);
                 }
-				
+
 			}
         });
         setConceptRelationshipTree("");
@@ -222,7 +222,7 @@ public class D3ConceptRelationshipTree extends AbstractJavaScriptComponent {
     }
 
 
-    public String getAbbreviatedName(TaxonNameBase tnb) {
+    public String getAbbreviatedName(TaxonName tnb) {
         List<TaggedText> taggedTextList = tnb.getTaggedName();
         StringBuffer nameSb = new StringBuffer();
         boolean foundGenusOrUninomial = false;
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/model/DbTableDTO.java b/src/main/java/eu/etaxonomy/cdm/vaadin/model/DbTableDTO.java
index 22a1341d..0155f502 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/model/DbTableDTO.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/model/DbTableDTO.java
@@ -5,7 +5,7 @@ import java.util.UUID;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.name.Rank;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
 
@@ -47,8 +47,8 @@ public class DbTableDTO implements Serializable {
 	 * @return
 	 */
 	public String getFullTitleCache() {
-		TaxonNameBase name = taxon.getName();
-		name = CdmBase.deproxy(name, TaxonNameBase.class);
+		TaxonName name = taxon.getName();
+		name = CdmBase.deproxy(name);
 		if(name ==  null){
 			return "-";
 		}
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java b/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
index 811b0fec..28904472 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
@@ -17,7 +17,6 @@ import org.joda.time.DateTime;
 
 import eu.etaxonomy.cdm.mock.Registration;
 import eu.etaxonomy.cdm.mock.RegistrationStatus;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.vaadin.view.registration.RegistrationDTO;
 import eu.etaxonomy.cdm.vaadin.view.registration.RegistrationValidationException;
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
index 8c505496..72983db8 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
@@ -21,7 +21,7 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase;
 
@@ -51,7 +51,7 @@ public class TypeDesignationConverter {
      * @param taxonNameBase
      *
      */
-    public TypeDesignationConverter(Collection<TypeDesignationBase> typeDesignations, TaxonNameBase taxonNameBase) {
+    public TypeDesignationConverter(Collection<TypeDesignationBase> typeDesignations, TaxonName taxonNameBase) {
         this.typeDesignations = typeDesignations;
         orderedStrings = new HashMap<>(typeDesignations.size());
         if(taxonNameBase != null){
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
index 84e20ff1..c8c8dd1d 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationDTO.java
@@ -19,7 +19,7 @@ import org.joda.time.DateTime;
 import eu.etaxonomy.cdm.mock.Registration;
 import eu.etaxonomy.cdm.mock.RegistrationStatus;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.reference.INomenclaturalReference;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -41,7 +41,7 @@ public class RegistrationDTO{
 
     private Set<Registration> blockedBy = new HashSet<>();
 
-    private TaxonNameBase<?, ?> typifiedName;
+    private TaxonName typifiedName;
 
     private TimePeriod datePublished;
 
@@ -92,11 +92,11 @@ public class RegistrationDTO{
      * @return
      * @throws RegistrationValidationException
      */
-    private TaxonNameBase<?,?> findTypifiedName() throws RegistrationValidationException {
+    private TaxonName findTypifiedName() throws RegistrationValidationException {
 
         List<String> problems = new ArrayList<>();
 
-        TaxonNameBase<?,?> typifiedName = null;
+        TaxonName typifiedName = null;
 
         for(TypeDesignationBase<?> typeDesignation : reg.getTypeDesignations()){
             typeDesignation.getTypifiedNames();
@@ -116,7 +116,7 @@ public class RegistrationDTO{
                 typifiedName = typeDesignation.getTypifiedNames().iterator().next();
             } else {
                 // compare
-                TaxonNameBase<?,?> otherTypifiedName = typeDesignation.getTypifiedNames().iterator().next();
+                TaxonName otherTypifiedName = typeDesignation.getTypifiedNames().iterator().next();
                 if(typifiedName.getId() != otherTypifiedName.getId()){
                   //TODO instead throw RegistrationValidationException()
                     problems.add("Multiple typifiedName in " + typeDesignation.toString());
diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/ConceptRelationshipPresenterTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/ConceptRelationshipPresenterTest.java
index 1eb44152..9b010e1d 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/ConceptRelationshipPresenterTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/ConceptRelationshipPresenterTest.java
@@ -22,7 +22,7 @@ import org.unitils.dbunit.annotation.DataSet;
 import eu.etaxonomy.cdm.api.application.ICdmRepository;
 import eu.etaxonomy.cdm.api.service.INameService;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.name.BotanicalName;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.vaadin.CdmVaadinBaseTest;
 import eu.etaxonomy.cdm.vaadin.component.taxon.ConceptRelationshipPresenter;
 import eu.etaxonomy.cdm.vaadin.container.IdUuidName;
@@ -77,7 +77,7 @@ public class ConceptRelationshipPresenterTest extends CdmVaadinBaseTest {
     public void testAbbreviatedNameGeneration() {
         TransactionStatus tx = app.startTransaction();
         UUID nameUuid = UUID.fromString("7ebe3f1f-c383-4611-95da-4ee633a12d3a");
-        BotanicalName name = CdmBase.deproxy(nameService.load(nameUuid), BotanicalName.class);
+        TaxonName name = CdmBase.deproxy(nameService.load(nameUuid));
 
         String abbreviatedName = crTree.getAbbreviatedName(name);
         Assert.assertEquals("T. × withverylongspecificepithet subsp.", abbreviatedName);
diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverterTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverterTest.java
index 80488ad2..d935b752 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverterTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverterTest.java
@@ -20,7 +20,7 @@ import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
-import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.name.TaxonNameFactory;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
@@ -41,7 +41,7 @@ public class TypeDesignationConverterTest extends CdmVaadinBaseTest{
     public void test1(){
 
         NameTypeDesignation ntd = NameTypeDesignation.NewInstance();
-        TaxonNameBase typeName = TaxonNameFactory.NewBacterialInstance(Rank.SPECIES());
+        TaxonName typeName = TaxonNameFactory.NewBacterialInstance(Rank.SPECIES());
         typeName.setTitleCache("Prionus coriatius L.", true);
         ntd.setTypeName(typeName);
         Reference citation = ReferenceFactory.newGeneric();